RpcNoSuchProtocolException (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.ipc, class: RpcNoSuchProtocolException

Package org.apache.hadoop.ipc

# Class RpcNoSuchProtocolException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.hadoop.ipc.RpcException
org.apache.hadoop.ipc.RpcServerException
org.apache.hadoop.ipc.RpcNoSuchProtocolException

All Implemented Interfaces:
  `Serializable`

public class RpcNoSuchProtocolException extends RpcServerException
No such protocol (i.e. interface) for and Rpc Call

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RpcNoSuchProtocolException(String message)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.hadoop.ipc.protobuf.RpcHeaderProtos.RpcResponseHeaderProto.RpcErrorCodeProto`
  `getRpcErrorCodeProto()`
  get the detailed rpc status corresponding to this exception
  `org.apache.hadoop.ipc.protobuf.RpcHeaderProtos.RpcResponseHeaderProto.RpcStatusProto`
  `getRpcStatusProto()`
  get the rpc status corresponding to this exception

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RpcNoSuchProtocolException

    public RpcNoSuchProtocolException(String message)

- ## Method Details

  - ### getRpcStatusProto

    public org.apache.hadoop.ipc.protobuf.RpcHeaderProtos.RpcResponseHeaderProto.RpcStatusProto getRpcStatusProto()
    get the rpc status corresponding to this exception
    Overrides:
      `getRpcStatusProto` in class `RpcServerException`
    Returns:
      get the rpc status corresponding to this exception.

  - ### getRpcErrorCodeProto

    public org.apache.hadoop.ipc.protobuf.RpcHeaderProtos.RpcResponseHeaderProto.RpcErrorCodeProto getRpcErrorCodeProto()
    get the detailed rpc status corresponding to this exception
    Overrides:
      `getRpcErrorCodeProto` in class `RpcServerException`
    Returns:
      get the detailed rpc status corresponding to this exception.